Retrieve link/refresh status - for user-present refresh only
curl --request POST \
--url https://api.prod.finverse.net/link/action/{loginIdentityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"encrypted_credentials": {
"ciphertext": "<string>",
"envelopeEncryptionKey": "<string>",
"initializationVector": "<string>",
"keyId": "<string>",
"messageAuthenticationCode": "<string>"
}
}
'import requests
url = "https://api.prod.finverse.net/link/action/{loginIdentityId}"
payload = {
"action_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"encrypted_credentials": {
"ciphertext": "<string>",
"envelopeEncryptionKey": "<string>",
"initializationVector": "<string>",
"keyId": "<string>",
"messageAuthenticationCode": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_id: '01ARZ3NDEKTSV4RRFFQ69G5FAV',
encrypted_credentials: {
ciphertext: '<string>',
envelopeEncryptionKey: '<string>',
initializationVector: '<string>',
keyId: '<string>',
messageAuthenticationCode: '<string>'
}
})
};
fetch('https://api.prod.finverse.net/link/action/{loginIdentityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institution": {
"countries": [
"HKG",
"SGP",
"PHL"
],
"institution_id": "testbank",
"institution_name": "TestBank HK",
"portal_name": "Test Bank Personal Account"
},
"login_identity": {
"authentication_id": "0",
"authentication_status": {
"last_successful_update": "2022-08-08T13:09:18.850Z",
"last_update": "2022-08-08T13:09:18.850Z",
"status": "AUTHENTICATING",
"status_details": "AUTHENTICATION_OTP_ENTERED"
},
"billing_details": {
"billed_products": null
},
"created_at": "2022-08-08T13:08:51.610Z",
"customer_app_id": "01FN8SKQZBHGQ478KS5QYEE8JN",
"error": {},
"first_success": "",
"institution_id": "testbank",
"last_session_id": "01G9YS524KP6CAK7XPTVYVKQ1G",
"last_success": "",
"linking_attempt_id": "0",
"login_identity_id": "01G9YS5226CA15BTYE66KYGF47",
"login_methods_available": {},
"permissions": null,
"permissions_expiry_date": "2022-08-08T13:08:51.475Z",
"permissions_grant_date": "2022-08-08T13:08:51.475Z",
"product_status": {},
"refresh": {
"credentials_stored": false,
"refresh_allowed": false
},
"session_status": "IN_PROGRESS",
"status": "AUTHENTICATING",
"status_details": {
"event_date": "2022-08-08T13:09:35.904Z",
"event_name": "AUTHENTICATION_OTP_ENTERED"
},
"updated_at": "2022-08-08T13:09:35.918Z",
"user_id": "01FQN81Q9TKNMMSMPZB8MYBYPY",
"webhook": "https://example.com/callback"
}
}Link
Retrieve link/refresh status - for user-present refresh only
Submit login action inputs for a specific login_identity_id. Use webhooks (recommended) or GET /link/status to monitor linking status, including whether any additional login actions are needed..
Authorization: customer_token
Required parameters
Encrypted credentials
Parameter: encrypted_credentials
Description: Array containing encrypted login action field values & related values (IV, key ID). — ADDITIONAL DETAILS TO COME.
institution
Summary Institutions object. See GET /institutions for object details.
login_identity
Full login_identity object. See GET /login_identity for object details.
POST
/
link
/
action
/
{loginIdentityId}
Retrieve link/refresh status - for user-present refresh only
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The login identity id
Body
application/json
Request body for post link action